Bug 1027568 - JNDI view Not shows the complete url in Management Console.
JNDI view Not shows the complete url in Management Console.
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: DR0
: EAP 6.4.0
Assigned To: Heiko Braun
Pavel Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 01:19 EST by Pankaj Degave
Modified: 2017-10-09 20:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
JNDI.png (92.36 KB, image/png)
2013-11-07 01:19 EST, Pankaj Degave
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-442 Major Resolved JNDI view Not shows the complete url in Management Console 2017-03-16 01:51 EDT

  None (edit)
Description Pankaj Degave 2013-11-07 01:19:37 EST
Created attachment 820889 [details]
JNDI.png

Description of problem:

JNDI view Not shows the complete url in Management Console.

Version-Release number of selected component (if applicable):


How reproducible:
 Create a binding inside the naming subsystem & try to access the value of these bindidng using Management console by going Runtime -> subsystems -> JNDI View and select the URI on Right panel.

Steps to Reproduce:
1. Create the binding inside the naming subsystem in any *.xml file like follows :

   <subsystem xmlns="urn:jboss:domain:naming:1.3">
            <bindings>
                <simple name="java:jboss/naming/UserAdmin/Url" value="http://10.10.10.5:9000"/>
                <simple name="java:jboss/naming/UserAdmin/ldapUrl" value="ldap://10.10.10.5:300"/>
            </bindings>
            <remote-naming/>
        </subsystem>

2. Try to access these value through Management web console by going to Runtime -> Subsystems -> JNDI View -> Naming -> UserAdmin -> Url



3. We can observed that the value of 'Url' and 'ldapUrl' shows only last digit. i.e 5:9000 and 5:300 respectively.

Actual results:
The Value of these bindings shows only last digit.

a) for "java:jboss/naming/UserAdmin/Url" value is 5:9000
b) for "java:jboss/naming/UserAdmin/ldapUrl" value is 5:300


Expected results:
the Expected result would be these bindings must show the full value.

a) for "java:jboss/naming/UserAdmin/Url" the expected value is http://10.10.10.5:9000
b) for "java:jboss/naming/UserAdmin/ldapUrl" the expected value is ldap://10.10.10.5:300

Additional info:
The EAP 6.0 and 6.0.1 shows expected result but from EAP 6.1.0 it shows the unexpected behaviour.
Comment 1 JBoss JIRA Server 2014-07-03 08:13:08 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-442 to Resolved
Comment 2 Pavel Jelinek 2014-11-26 04:30:52 EST
Should this still remain in POST state?
Comment 3 Jakub Cechacek 2014-12-05 05:24:37 EST
Setting up missing flags and target release
Comment 4 Pavel Jelinek 2014-12-05 09:28:09 EST
Verified for EAP 6.4.0.DR12

Note You need to log in before you can comment on or make changes to this bug.